Skip to main content
`Ctrl`+`K`

# PetscDrawSPAddPoint

Adds another point to each of the scatter plot point curves.

## Synopsis

    #include "petscdraw.h"
    #include "petscsys.h"
    PetscErrorCode PetscDrawSPAddPoint(PetscDrawSP sp, PetscReal *x, PetscReal *y)

Not Collective

## Input Parameters

- sp - the scatter plot data structure

- x - the x coordinate values (of length dim) for the points of the curve

- y - the y coordinate values (of length dim) for the points of the curve

## Note

Here dim is the number of point curves passed to `PetscDrawSPCreate()`. The new points will not be displayed until a call to `PetscDrawSPDraw()` is made.

## See Also

`PetscDrawSPAddPoints()`, `PetscDrawSP`, `PetscDrawSPCreate()`, `PetscDrawSPReset()`, `PetscDrawSPDraw()`, `PetscDrawSPAddPointColorized()`

## Level

intermediate

## Location

src/sys/classes/draw/utils/dscatter.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages